Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSSReference

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSReference`

All Implemented Interfaces:
  WSSecurityTokenReferenceType

public class WSSReference
extends WSSElement
implements WSSecurityTokenReferenceType

Represents the wsse:Reference element which is used within a wsse:SecurityTokenReference element to reference a security token directly with an URI. The interpretation and processing rules around the value of the URI are token specific as identified by the ValueType attribute.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSSReference(org.w3c.dom.Document owner, java.lang.String uri)` Create a `WSSReference` instance with the given XML Document context.
`WSSReference(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String valType)` Create a `WSSReference` instance with the given XML Document context.
`WSSReference(org.w3c.dom.Element element)` Create a `WSSReference` instance from the givem XML element.
`WSSReference(org.w3c.dom.Element element, java.lang.String systemId)` Create a `WSSReference` instance from the givem XML element.

Method Summary
`java.lang.Object` | `getKey()` Returns the key (symmetric or asymmetric) corresponding to the underlying WSS SecurityToken.
`oracle.security.xmlsec.util.QName` | `getName()` Get the name of the security token reference mechanism.
`WSSecurityToken` | `getSecurityToken()` Gets the underlying WSSecurity Token.
`java.lang.String` | `getURI()` Get the reference URI of the underlying WSSecurity Token.
`java.lang.String` | `getValueType()` Get the type of the underlying WSSecurity Token.
`void` | `setURI(java.lang.String uri)` Set the reference URI of the underlying WSSecurity Token.
`void` | `setValueType(java.lang.String valType)` Set the type of the underlying WSSecurity Token.

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityTokenReferenceType
`getNode`

Constructor Detail

### WSSReference

    public WSSReference(org.w3c.dom.Element element)

  Create a `WSSReference` instance from the givem XML element.
Parameters:
  `element` - A wsse:Reference element.

### WSSReference

    public WSSReference(org.w3c.dom.Element element,
                        java.lang.String systemId)

  Create a `WSSReference` instance from the givem XML element.
Parameters:
  `element` - A wsse:Reference element.
  `systemId` - The URI string system ID for this element.

### WSSReference

    public WSSReference(org.w3c.dom.Document owner,
                        java.lang.String uri)

  Create a `WSSReference` instance with the given XML Document context.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `uri` - The reference target URI.

### WSSReference

    public WSSReference(org.w3c.dom.Document owner,
                        java.lang.String uri,
                        java.lang.String valType)

  Create a `WSSReference` instance with the given XML Document context.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `uri` - The reference target URI.
  `valType` - The reference target value type.

Method Detail

### setURI

    public void setURI(java.lang.String uri)

  Set the reference URI of the underlying WSSecurity Token.
  Parameters:
    `uri` - The reference target URi.

### getURI

    public java.lang.String getURI()

  Get the reference URI of the underlying WSSecurity Token.
  Returns:
    The reference target URi.

### setValueType

    public void setValueType(java.lang.String valType)

  Set the type of the underlying WSSecurity Token.
  Parameters:
    `valType` - The token's value type.

### getValueType

    public java.lang.String getValueType()

  Get the type of the underlying WSSecurity Token.
  Returns:
    The token's value type.

### getName

    public oracle.security.xmlsec.util.QName getName()

  Get the name of the security token reference mechanism.
  Specified by:
    `getName` in interface `WSSecurityTokenReferenceType`
  Returns:
    The name of the token reference mechanism.

### getSecurityToken

    public WSSecurityToken getSecurityToken()
                                     throws WSSException

  Gets the underlying WSSecurity Token.
  Specified by:
    `getSecurityToken` in interface `WSSecurityTokenReferenceType`
  Returns:
    The underlying `WSSecurityToken`.
  Throws:
    `WSSException`

### getKey

    public java.lang.Object getKey()
                            throws WSSException

  Returns the key (symmetric or asymmetric) corresponding to the underlying WSS SecurityToken.

  **** NOT IMPLEMENTED ****

  Specified by:
    `getKey` in interface `WSSecurityTokenReferenceType`
  Returns:
    The `Key`.
  Throws:
    `WSSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.